      subroutine derivebvi(B1,noofbv,noofxbv,m)

!*    15 Tables, for individual variables
!     Many LBS/SAS tables require the derivation of variables (such as
!     household composition) which are not contained in the pre-
!     processed SAR dataset.  This subroutine sets out to derive such
!     derived variables, as and when the need arises.
!     NOTE:  at present there is no 'memory' element to this
!            sub-routine; each time a household/table combination is
!            picked, the new 'base' variable must be derived

      integer B1(1:noofxbv)
      integer noofbv, noofxbv, m, male, female, ind, k1
      integer Dep,Ndep,EconAct

      goto (1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17) m                                                !*

 1    return
 2    return         ! HHComp01 B1(66)    household
 3    return
 4    return
 5    goto 5000       ! EconPrim03  first table need B1(69)
 6    return         ! HHComp02 B1(67)     household
 7    return
 8    return         ! SEGHOH01 B1(68)     household
!*
 9    return
 10   goto 5000         ! EconPrim02 B1(69) 
 11   goto 5000         ! EconPrim02 need B1(69)
 12   return
 13   return
 14   goto 5000         ! EconPrim11 need B1(69)
 15   return
 16   return
 17   return            

!     Table 34, 08 and 09 - individual 

   5000 B1(69)=0

!     For each individuals
               if (B1(36) .eq. 0) B1(69)=0
               if (B1(36) .eq. 1) B1(69)=1
               if (B1(36) .eq. 2) B1(69)=2
               if (B1(36) .eq. 3) B1(69)=3
               if (B1(36) .eq. 4) B1(69)=4
               if (B1(36) .eq. 5) B1(69)=5
               if (B1(36) .eq. 6) B1(69)=6

               if (B1(36) .eq. 8) B1(69)=9
               if (B1(36) .eq. 9) B1(69)=10
               if (B1(36) .eq. 10) B1(69)=11
   
!     if students

               if (B1(36) .eq. 7) then                        
                   if ((B1(37) .gt. 0) .and. (B1(37) .lt. 5)) then 
                       B1(69)=7                 !  economically active
                   else 
                       B1(69)=8                 ! economically inactive
                   endif               
               endif    
      
      return
      end
