      subroutine filter(B1,noofxbv,valid,m)

!*    17 Tables

      integer B1(1:noofxbv), valid, m, noofxbv

      goto (1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17) m                                                !*

!     Table S35 - individual
 1    goto 1000

!     Table S42 - household
 2    goto 2000

!     Table S01 - individual
 3    return

!     Table S22 - household
 4    goto 2000

!     Table S14 - individual
 5    goto 3000

!     Table S29 - household
!     already filtered by derivebvh
 6    return

!     Table S74 - individual
 7    goto 4000

!     Table S86 - household
!     already filtered by derivebvh (SEGHOH01 = -1 if not resident)
 8    return

!*    Table S39 - household
 9    goto 5000 
 
!*    Table S34 - individual
 10   goto 6000 
 
!*    Table S08 - individual
 11   goto 6000
 
!*    Table S49 - household
!     already filtered by derivebvh
 12   return      

!*    Table S06 - individual
 13   goto 7000  

!*    Table S09 - individual
 14   goto 6000  

!*    Table S49 - household 
!     already filtered by derivebvh

 15   return     

!*    Table S42b - household
 16   goto 2000

!*    Table S74b - individual
 17    goto 4000
    
        
!     Filter01 - Residents only (exclude vistors)

 1000 if (B1(54) .eq. 3) valid=0

!      if (B1(54) .eq. 3) write(8,'("Ind ",I8,I6," has been filtered
!     *out")') B1(2), B1(17)

!     This filter is used for tables:
!     LBS: 
!     SAS: S35

      return

!     Filter02 - Households with residents (must have 1+ residents)

 2000 if (B1(26) .eq. 0) valid=0

!     This filter is used for tables:
!     LBS:
!     SAS: S42, S22, S42b

      return

!     Filter03 - Individuals with long-term limiting illness

 3000 if (B1(46) .ne. 1) valid=0

      return

!     Filter04 - Residents aged 16+, employees, self-employed


 4000 if ((B1(32) .lt. 15) .or. (B1(54) .eq. 3)) valid=0
      if ((B1(36) .eq. 0) .or. (B1(36) .gt. 4)) valid=0
      if (B1(36) .eq. 7) then
         if ((B1(37) .gt. 0) .and. (B1(37) .lt. 4)) valid=1
      endif

      return  
      
!*     Filter05 - Residents, Head of household

 5000   if (B1(54) .eq. 3) valid=0
        if (B1(53) .ne. 0) valid=0

      return

!     Filter06 - Residents aged 16+

 6000 if ((B1(32) .lt. 15) .or. (B1(54) .eq. 3)) valid=0
 
      return  

!     Filter07 - Residents 

 7000 if (B1(54) .eq. 3) valid=0
 
      return        
      end
