      subroutine CalcTjm(switch,T,U,Nm,Comb,H13,H28,H,I,maxj,nooft, &
      noofh,SarSize,noofi)

!     This sub-routine aggregates the SAR households in Comb into
!     SAS look-a-like tables (Tjm)

!*    15 Tables with switch

      integer SarSize
      integer m,j,maxj,hh,nooft,noofh,ind,noofi,hhno
      integer T(0:maxj,1:nooft), U(0:maxj,1:nooft), Nm(1:nooft)
      integer Comb(1:noofh), H13(29:SarSize), H28(29:SarSize)
      integer H(29:SarSize,1:nooft), I(1:noofi,1:nooft),switch(1:nooft)
      

      do 5,m=1,nooft 
!*      
      if(switch(m)==0) goto 5

!     1.  Initialise Tjm to 0 (current Tjm may be out-of-date)

         do 7,j=0,Nm(m) 
            T(j,m)=0
 7       continue

!     2.  Find Tjm of comb

         goto (10,20,10,20,10,20,10,20,10,10,10,20,10,10,20,20,10), m           !*                             !*

!     Find Tjm for individual tables

 10      do 15,hh=1,noofh

            hhno=(Comb(hh))


            do 17,ind=h28(hhno),(h28(hhno)+H13(hhno)-1)
               if (I(ind,m) .gt. 0) then
                  T(I(ind,m),m)=T(I(ind,m),m)+1
                  T(0,m)=T(0,m)+1
               endif
 17         continue

 15      continue

         goto 30

!     Find Tjm for household tables

 20      do 25,hh=1,noofh

            hhno=Comb(hh)
            if (H(hhno,m) .gt. 0) then
               T(H(hhno,m),m)=T(H(hhno,m),m)+1
               T(0,m)=T(0,m)+1
            endif

 25      continue

 30       continue

!         write(8,*)
!         write(8,*) 'Ujm and Tjm after calctjm'
!         write(8,'(15i4)') (U(j,m), j=1,Nm(m))
!         write(8,*) U(0,m)
!         write(8,*)
!         write(8,'(15i4)') (T(j,m), j=1,Nm(m))
!         write(8,*) T(0,m)
!         write(8,*)

 5    continue
!     next table

!      do 60, hh=1,noofh
!         hhno=Comb(hh)
!         write(8,'(2i4)') H(hhno,2), H(hhno,4)
!         do 70,ind=h28(hhno),(h28(hhno)+H13(hhno)-1)
!            write(8,'(8X,2i4)') I(ind,1), I(ind,3)
!            if ((I(ind,3) .lt. 1) .or. (I(ind,3) .gt. 5))
!     *write(8,*) 'what"s this "ere?'
! 70      continue
! 60   continue

      return
      end
