      SUBROUTINE DELTAS(C,D,nooft,nooff,noofv,fname)

!     A subroutine to read in the number of categories extant for each
!     attribute variable - C(s), followed by  the Kronecker deltas 
!     associated with each table being used as a data constraint

      integer nooft,nooff,noofv,j
      character*50 fname(nooff)
      character*3 temp
      integer d(0:noofv,1:nooft), c(1:noofv), varno, s, k, m

      integer buffer(1:12)

!     buffer(1:12) is a locally defined buffer for temporarily storing
!     the 'varno', of each D(j,m)=1 in a table.  It is assumed that no
!     table description will incorporate more than twelve variables!

      open(3,file=fname(3),status='old')

!      do 9, l=1,nooff
!         write(6,*) fname(l)
! 9       continue

!     READ IN NUMBER OF ATTRIBUTE STATES FOR EACH DERIVED VARIABLE
      
      read(3,*) (C(s), s=1,noofv)
!      write(5,'(2i6)') (s, C(s), s=1,noofv)

!     INITIALIZE TABLE KRONECKER DELTAS AND Nm TO 0

      do 10, m=1,nooft 
         do 15, j=0,noofv
            D(j,m)=0
 15      continue
 10   continue

!     READ IN Nm AND TABLE DESCPN (KRONECKER DELTAS).
!     VARNO = NO OF DERIVED VARIABLES PRESENT (D(J,M)=1) IN TABLE
!     D(j,m) is set to 1 for each recorded value of j listed.

      do 20, m=1,nooft
         read(3,*) temp, D(0,m), varno
!         write(*,*) temp, D(0,m), varno
         read(3,*) (buffer(k), k=1,varno)
!         write(*,*) (Buffer(k), k=1,varno)
         do 25, k=1,varno
            D(buffer(k),m)=1
 25      continue

 20   continue

      
!      do 30, m=1,nooft
!         write(6,*), (D(K,M), K=0,noofv)
! 30   continue

      CLOSE(3)
      
      RETURN
      END
