      subroutine findtjm(T,metaV,V,fname,nooff,noofbv,noofxbv,noofv, &
      nooft,C,D,B1,B2,noofh,maxj,maxh,hhno,j,SarSize,ind,U,Comb, &
      minC,maxC,H,I,noofi,m,agesex)

!*    15 Tables
!     Determines whether to call calcitjm.f or calchtjm.f, depending
!     on LBS/SAS table being considered
!     CalcITjm finds Tjm for tables involving counts of individuals
!     CalcHTjm finds Tjm for tables involving counts of households

      integer nooff,noofbv,noofxbv,noofv,nooft,noofi,SarSize
      integer T(0:maxj,1:Nooft), U(0:maxj,1:nooft), agesex(1:nooft)
      integer metaV(1:noofv), V(1:noofv,minC:maxC), D(0:noofv,1:nooft)
      integer C(1:noofv), Comb(1:maxh), I(1:noofi,1:nooft)
      integer B1(1:noofxbv), B2(1:noofv), H(1:SarSize,1:nooft)
      integer m,noofh,maxh,maxj,j,ind,hhno,k,minC,maxC
      character*50 fname(1:nooff)

        B1=0; B2=0

!      do 10, hhno=29,600
      do 10, hhno=29,SarSize



!     Read in household record

         read(1,3000,rec=hhno) (B1(k),k=1,28)

 3000    format (i1,i6,i2,5i1,i2,i1,3i2,i1,3i2,i1,2i2,i1,2i2,i1,3i2,i6)

!      write(8,3000) (B1(k), k=1,28)

!     set up a table loop and evaluate Tjm for household/individual
!     as appropriate
!*      1.  2.  3.  4.  5.  6.  7.  8.  9.  10. 11. 12. 13. 14. 15.
!*      S35 S42 S01 S22 S14 S29 S74 S86 S39 S34 S08 S49 S06 S09 S43
!*      I   H   I   H   I   H   I   H   I   I   I   H   I   I   H  

         do 20, m=1,nooft

            goto (1000,2000,1000,2000,1000,2000,1000,2000,1000,&                !*
                        1000,1000,2000,1000,1000,2000,2000,1000) m              !*

 1000       do 1020, ind=B1(28),(B1(28)+B1(13)-1)

               j=0
               call finditjm(T,metaV,V,fname,nooff,noofbv,noofxbv, &
           noofv,nooft,m,C,D,B1,B2,noofh,maxj,j,ind,minC,maxC,agesex)
               I(ind,m)=j
         
!         if (m==5 .or. m==10 .or. m==11 .or. m==14) &
!         write(9,'(i4,4x,7i4)') m, B1(36),B1(69),B2(7),B2(8),B2(9) 
        
         
   !      if (m==5)write(9,'(8i4)') m, I(ind,m), B1(36),B1(69),B2(8),B1(32),B2(5),B1(46)
   !      if (m==14)write(9,'(5i4)') m, I(ind,m), B1(36),B1(69),B2(9)
!       ckeck S39 j value OK
!       if (m==9 .and. B1(53)==0) &
!       write(9,*) "Age",B1(32),"MS=",B1(47),"Sex",B1(55),I(ind,9),I(ind,1)           

  1020       continue
!     individual loop

            goto 20

 2000       call findhtjm(T,metaV,V,fname,nooff,noofbv,noofxbv, &
            noofv,nooft,m,C,D,B1,B2,noofh,maxj,MaxH,j,minC,maxC)

            H(hhno,m)=j 
!        if(m==8 .and. j==0) write(8,*)B1(3),B1(68),B1(12),B1(54),B1(13)
                                             
 20      continue
!     next m

!     Having found values of j for household all inds. in h/hold,
!     write out results to files HJ.sar and IJ.sar, preceded 
!     in HJ.sar by the household values of PersInHH and FirstInd

         write(8,'(i3,i8,7i4)') B1(13),B1(28), &
                H(hhno,2),H(hhno,4),H(hhno,6),H(hhno,8),H(hhno,12),H(hhno,15),  &
                H(hhno,16)                                                       !*
               
         do 30,ind=B1(28),(B1(28)+B1(13)-1) 
          write(9,'(10i4)') I(ind,1), I(ind,3), I(ind,5), I(ind,7), I(ind,9),&   !*
                          I(ind,10), I(ind,11), I(ind,13), I(ind,14),I(ind,17)
  30      continue  
 
 10   continue
!     next household

      return
      end

