      subroutine Indexes(metaV,V,lBV,uBV,noofv,fname,nooff,minC,maxC)

!     A subroutine to read in the indexes used to match derived
!     (SAS/LBS) variable categories with those categories used
!     by 'base' variables in the sample (SAR) population, V(k,k1),
!     and to match derived variables with base attributes metaV(k)

      integer noofv,nooff,minC,maxC
      character*10 temp
      character*50 fname(1:nooff)
      integer metaV(1:noofv), V(1:noofv,minC:maxC)
      integer lBV(1:noofv), uBV(1:noofv), k, k1

!      write(6,*) minC,maxC

      open(4,file=fname(4),status='old')

      read(4,*) (metaV(k), k=1,noofv)
!      write(6,*) (k,metaV(k), k=1,noofv)

      do 1, k=1,noofv
         read(4,*) temp,lBv(k),uBv(k)
!         write(6,*) temp,lBv(k),uBV(k)
         read(4,*) (V(k,k1), k1=lBv(k),uBv(k))
!         write(6,*) (V(k,k1), k1=lBv(k),uBv(k))
 1    continue

!      do 2, k=1,noofv
!         do 3, k1=lBV(k),uBV(k)
!            write(8,*) k1, V(k,k1)
! 3       continue
! 2    continue
      
      close(4) 

      return
      end
